Description

More improvements for the Debian package specs:

Added rake task pkg:deb to build a Debian package for Foreman with debuild.

Relaxed dependencies in Debian control file to hopefully allow installation of the foreman DEB under Ubuntu karmic, Ubuntu

lucid, Debian lenny and Debian sid.

Fixed error in preinst script when Puppet is not installed and group 'puppet' doesn't exist yet.

The packages built by this spec should be able to run on Debian lenny, Debian sid, Ubuntu karmic and Ubuntu lucid.

Associated revisions

Revision 7a3815fb - 10/24/2010 01:50 PM - Jochen Schalanda

Fixes #356 - More improvements for Debian package specification

Added rake task pkg:deb to build a Debian package for Foreman with debuild.

Relaxed dependencies in Debian control file to hopefully allow installation of the foreman DEB under Ubuntu karmic, Ubuntu lucid, Debian lenny

and Debian sid.

Fixed error in preinst script when Puppet is not installed and group 'puppet' doesn't exist yet.

History

#1 - 08/15/2010 05:58 PM - Ohad Levy

just tried it and got the following error:

rake pkg:deb

(in /home/ohad/git/foreman)

This package has a Debian revision number but there does not seem to be

an appropriate original tar file or .orig directory in the parent directory;

(expected one of foreman_0.1.5.orig.tar.gz, foreman_0.1.5.orig.tar.bz2,

foreman_0.1.5.orig.tar.lzma or foreman.orig)

continue anyway? (y/n) y

 dpkg-buildpackage -rfakeroot -D -us -uc

dpkg-buildpackage: set CFLAGS to default value: -g -O2

dpkg-buildpackage: set CPPFLAGS to default value: 

dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions

dpkg-buildpackage: set FFLAGS to default value: -g -O2

dpkg-buildpackage: set CXXFLAGS to default value: -g -O2

dpkg-buildpackage: source package foreman

dpkg-buildpackage: source version 0.1.5-2

dpkg-buildpackage: source changed by Jochen Schalanda <jochen@schalanda.name>

dpkg-buildpackage: host architecture i386

dpkg-checkbuilddeps: Unmet build dependencies: cdbs

dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.

dpkg-buildpackage: warning: (Use -d flag to override.)

debuild: fatal error at line 1340:

dpkg-buildpackage -rfakeroot -D -us -uc failed

Error while building the DEB package with `debuild`.

 am I missing something?
#2 - 08/21/2010 07:45 AM - Jochen Schalanda

dpkg-checkbuilddeps: Unmet build dependencies: cdbs

dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.

You should install the package cdbs as it's needed for building the foreman .DEB package.   

I'll have a look at how to automate this in the Rakefile when I find some time.

#3 - 10/24/2010 01:46 PM - Ohad Levy

- Target version set to 0.1-6

#4 - 10/24/2010 01:56 PM - Jochen Schalanda

- Status changed from New to Ready For Testing

Applied in changeset 7a3815fb1b70b86c01c32330f88bbed126693696.

#5 - 10/24/2010 01:59 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#6 - 10/15/2018 01:44 PM - Tomer Brisker

- Category changed from 21 to Packaging

Files

0001-Added-rake-task-pkg-deb-to-build-a-Debian-package-fo.patch 3.37 KB 07/21/2010 Jochen Schalanda
